using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace Vevo.Shared.WebUI.ServerControls
{
    [DefaultProperty( "Text" )]
    [ToolboxData( "<{0}:LinkButton runat=server></{0}:LinkButton>" )]
    public class LinkButton : System.Web.UI.WebControls.LinkButton
    {
        protected void Control_Load( object sender, EventArgs e )
        {
            if (OnClickGoTo == Position.Top)
            {
                this.OnClientClick = "javascript:window.scrollTo(0,0);";
            }
        }

        public LinkButton()
        {
            Load += new EventHandler( Control_Load );
        }


        public Position OnClickGoTo
        {
            get
            {
                if (ViewState["OnClickGoTo"] != null)
                    return (Position) ViewState["OnClickGoTo"];
                else
                    return Position.None;
            }
            set
            {
                ViewState["OnClickGoTo"] = value;
            }
        }

    }
}
