﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Vevo.Domain.Blogs
{
    public class BlogComment : ICloneable
    {
        #region Private
        private string _blogCommentID = "0";
        private string _blogID = "0";
        private string _userName = "0";
        private string _comment = String.Empty;
        private DateTime _createDate = DateTime.Now;
        private bool _isEnabled = false;

        #endregion

         #region Public Constructors

        public BlogComment()
        { }

        #endregion

        #region Public Properties

        public string BlogCommentID { get { return _blogCommentID; } set { _blogCommentID = value; } }
        public string BlogID { get { return _blogID; } set { _blogID = value; } }
        public string UserName { get { return _userName; } set { _userName = value; } }
        public string Comment { get { return _comment; } set { _comment = value; } }
        public DateTime CreatedDate { get { return _createDate; } set { _createDate = value; } }
        public bool Enabled { get { return _isEnabled; } set { _isEnabled = value; } }

        public static BlogComment Null
        {
            get { return NullBlogComment.Instance; }
        }

        public virtual bool IsNull
        {
            get { return false; }
        }

        #endregion

        #region IClonable Members

        // Copy the whole aggregate (including locale)
        public object Clone()
        {
            BlogComment newObject = (BlogComment) MemberwiseClone();
            return newObject;
        }

        #endregion
    }
}
