using System;
using System.Collections.Generic;
using System.Text;
using Vevo.Domain.Base;
using Vevo.Domain.Contents;
using Vevo.Base.Domain;

namespace Vevo.Domain.DataInterfaces
{
    public interface INewsRepository
    {
        News Save( News news );
        News GetOne( Culture culture, string newsID );
        void Delete( string newsID );
        void DeleteLocalesByCultureID( string cultureID );
        void DeleteByStoreID( string storeID );
        IList<ILocale> GetLocales( string newsID );
        IList<News> GetAll( Culture culture, string sortBy, string storeID );
        IList<News> GetAll( Culture culture, string sortBy, string storeID, BoolFilter isEnabled );
        IList<News> GetHotNews( Culture culture, BoolFilter isHotNews, string storeID );
        IList<TableSchemaItem> GetTableSchema();
        IList<News> SearchNews(
            Culture culture,
            string sortBy,
            SearchFilter searchFilter,
            int startIndex,
            int endIndex,
            out int howManyItems,
            string storeID,
            BoolFilter isEnabled
            );
        string GetNewsIDFromUrlName( string urlName );
        IList<News> GetLatestNews( string latestNews, Culture culture, string storeID );
    }
}
