using System;
using System.Collections.Generic;
using System.Text;

using Vevo.Domain.Orders;
using Vevo.Domain.Users;

namespace Vevo.Domain.Discounts
{
    public class NullCoupon : Coupon
    {
        #region Private

        private static Coupon _instance = new NullCoupon();

        #endregion


        #region Public Properties

        public static Coupon Instance
        {
            get { return _instance; }
        }

        public override bool IsNull
        {
            get
            {
                return true;
            }
        }

        #endregion


        #region Public Methods

        public override Coupon.ValidationStatus Validate( CartItemGroup cartItemGroup, Customer customer )
        {
            return ValidationStatus.InvalidCode;
        }

        public override decimal GetDiscount(
            CartItemGroup cartItems,
            Customer customer,
            out IList<decimal> discountLines )
        {
            discountLines = new List<decimal>();
            for (int i = 0; i < cartItems.CartItems.Count; i++)
                discountLines.Add( 0 );

            return 0;
        }

        #endregion

    }
}
