using System;
using System.Data;
using System.Configuration;


namespace Vevo.Domain.Orders
{
    /// <summary>
    /// Summary description for CartItemGiftDetails
    /// </summary>
    [Serializable]
    public class CartItemGiftDetails
    {
        #region Private

        private static CartItemGiftDetails _nullInstance = new CartItemGiftDetails();

        private string _recipient;
        private string _personalNote;
        private bool _needPhysical;
        private decimal _giftValue;

        #endregion


        #region Constructors

        public CartItemGiftDetails()
        {
            _recipient = String.Empty;
            _personalNote = String.Empty;
            _needPhysical = false;
            _giftValue = 0;
        }

        public CartItemGiftDetails( string recipient, string personalNote, bool needPhysical, decimal giftValue )
        {
            _recipient = recipient;
            _personalNote = personalNote;
            _needPhysical = needPhysical;
            _giftValue = giftValue;
        }

        #endregion


        #region Public Properties

        public static CartItemGiftDetails Null
        {
            get { return _nullInstance; }
        }

        public string Recipient { get { return _recipient; } }
        public string PersonalNote { get { return _personalNote; } }
        public bool NeedPhysical { get { return _needPhysical; } }
        public decimal GiftValue { get { return _giftValue; } }

        #endregion


        #region Public Methods

        public override bool Equals( object obj )
        {
            CartItemGiftDetails rhs = (CartItemGiftDetails) obj;

            return Recipient == rhs.Recipient
                && PersonalNote == rhs.PersonalNote
                && NeedPhysical == rhs.NeedPhysical
                && GiftValue == rhs.GiftValue;
        }

        public override int GetHashCode()
        {
            return _recipient.GetHashCode()
                ^ _personalNote.GetHashCode()
                ^ Convert.ToInt32( _needPhysical )
                ^ Convert.ToInt32( _giftValue );
        }

        #endregion

    }
}
