using System;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.Text;
using Vevo.Shared.Domain.SystemServices;
using Vevo.Domain.Stores;

namespace Vevo.Domain.SystemServices
{
    public class StoreMailSendService : BaseNetMailSendService
    {
        #region Protected

        protected override MailSettings GetMailSettings()
        {
            NameValueCollection collection;
            try
            {
                collection = DataAccessContext.Configurations.GetNameValueCollectionSingleCultureByStore( new StoreRetriever().GetStore() );
            }
            catch (Exception ex)
            {
                SaveLogFile.SaveLog( ex );
                collection = new NameValueCollection();
            }
            return new MailSettings( collection );
        }

        #endregion

    }
}
